"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var src_exports = {};
__export(src_exports, {
  default: () => src_default,
  injectCSS: () => injectCSS
});
module.exports = __toCommonJS(src_exports);
var supportsConstructedSheet = (() => {
  try {
    new CSSStyleSheet();
    return true;
  } catch (e) {
  }
  return false;
})();
var sheet = void 0;
var sheetMap = {};
var injectCSS = (cssText, id) => {
  let styleSheet = id ? sheetMap[id] : sheet;
  if (supportsConstructedSheet) {
    if (styleSheet && !(styleSheet instanceof CSSStyleSheet)) {
      styleSheet = void 0;
    }
    if (!styleSheet) {
      styleSheet = new CSSStyleSheet();
      styleSheet.replaceSync(cssText);
      document.adoptedStyleSheets = [...document.adoptedStyleSheets, styleSheet];
    } else {
      styleSheet.replaceSync(cssText);
    }
  } else {
    if (styleSheet && !(styleSheet instanceof HTMLStyleElement)) {
      styleSheet = void 0;
    }
    if (!styleSheet) {
      styleSheet = document.createElement("style");
      styleSheet.setAttribute("type", "text/css");
      styleSheet.innerHTML = cssText;
      document.head.appendChild(styleSheet);
    } else {
      styleSheet.innerHTML = cssText;
    }
  }
};
var src_default = injectCSS;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  injectCSS
});
