// src/index.ts
var supportsConstructedSheet = (() => {
  try {
    new CSSStyleSheet();
    return true;
  } catch (e) {
  }
  return false;
})();
var sheet = void 0;
var sheetMap = {};
var injectCSS = (cssText, id) => {
  let styleSheet = id ? sheetMap[id] : sheet;
  if (supportsConstructedSheet) {
    if (styleSheet && !(styleSheet instanceof CSSStyleSheet)) {
      styleSheet = void 0;
    }
    if (!styleSheet) {
      styleSheet = new CSSStyleSheet();
      styleSheet.replaceSync(cssText);
      document.adoptedStyleSheets = [...document.adoptedStyleSheets, styleSheet];
    } else {
      styleSheet.replaceSync(cssText);
    }
  } else {
    if (styleSheet && !(styleSheet instanceof HTMLStyleElement)) {
      styleSheet = void 0;
    }
    if (!styleSheet) {
      styleSheet = document.createElement("style");
      styleSheet.setAttribute("type", "text/css");
      styleSheet.innerHTML = cssText;
      document.head.appendChild(styleSheet);
    } else {
      styleSheet.innerHTML = cssText;
    }
  }
};
var src_default = injectCSS;
export {
  src_default as default,
  injectCSS
};
